
// lgfxvgag.cpp
//
// Copyright (c) 1995 by Toshiaki Tsuji, all rights reserved.

#include "stdgfx.h"
#include "lgfxvga.h"
 
LONG  SrcWd;
LONG  SrcHt;

// VOID SetVGASelector ( SHORT Selector )
// EAX = Selector

VOID SetVGASelector ( SHORT Selector )
{
  if (Selector)
    {}
} // End of SetVGASelector


// VOID VGACopy256To256 ( BYTE *Src, LONG AddSrc, LONG SrcWd, LONg SrcHt,
//                        LONG DestCx, LONG DestCy )
//
// EAX = Src, EDX = AddSrc, EBX = SrcWd, ECX = SrcHt

VOID VGACopy256To256 ( BYTE *Src, LONG AddSrc, LONG SrcWidth, LONG SrcHeight,
							  LONG DestCx, LONG DestCy )
{
if (Src)
  {}
if (AddSrc)
  {}
if (SrcWidth)
  {}
if (SrcHeight)
  {}
if (DestCx)
  {}
if (DestCy)
  {}
#ifdef __FORx86__
  INT i;
  BYTE *DestBuffer;
  LONG AddDest;
  AddSrc -= SrcWidth;
  AddDest = 320-SrcWidth;
  DestBuffer = (BYTE*)0x0A000+DestCy*320+DestCx;

  for (i=0;i<SrcHeight;i++)
	 {
		memcpy ( DestBuffer, Src, SrcWidth );
		DestBuffer += AddDest;
		Src += AddSrc;
	 } // End for
#endif
} // End of VGACopy256To256

